KEYINFO(1)

NAME
keyinfo - display current S/Key sequence number and seed

SYNOPSIS
keyinfo [username]

DESCRIPTION
keyinfo takes an optional user name and displays the user's current sequence number and seed found in the S/Key database /etc/skeykeys.

The command can be useful when generating a list of passwords for use on a field trip, by combining with the command key in the form:

    > key -n <number of passwords> `keyinfo`|lpr

EXAMPLE
Usage example:

    > keyinfo

    0098 ws91340

ARGUMENTS

username
    The S/key user to display the information for. The default is to display S/Key information on the user who invokes the command.

DIAGNOSTICS
keyinfo exits with status 0 if a key for the requested user has been found, else with status 1.

SEE ALSO
keyinit(1), key(1)

AUTHOR
Original command by Phil Karn, Neil M. Haller, John S. Walden. Rewritten in Perl by Joerg Wunsch so it can be made setuid, and the S/Key keys file can be read-protected from the users.